﻿using System.Windows;
using ThinkGeo.MapSuite;
using ThinkGeo.MapSuite.Layers;
using ThinkGeo.MapSuite.Shapes;
using ThinkGeo.MapSuite.Styles;
using ThinkGeo.MapSuite.Wpf;

namespace _9566
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void map_Loaded(object sender, RoutedEventArgs e)
        {
            map.MapUnit = GeographyUnit.Meter;

            var projection = new Proj4Projection
            {
                InternalProjectionParametersString = Proj4Projection.GetWgs84ParametersString(),
                ExternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(3857)
            };
            

            LayerOverlay layerOverlay = new LayerOverlay();
            ShapeFileFeatureLayer shapeFileLayer = new ShapeFileFeatureLayer(@"..\..\AppData\states.shp");
            shapeFileLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = WorldStreetsAreaStyles.Forest();
            shapeFileLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
            shapeFileLayer.FeatureSource.Projection = projection;
            layerOverlay.Layers.Add(shapeFileLayer);
            map.Overlays.Add(layerOverlay);

            //shapeFileLayer.Open();
            //map.CurrentExtent = shapeFileLayer.GetBoundingBox();

            projection.Open();
            map.CurrentExtent = projection.ConvertToExternalProjection(new RectangleShape(-180, 90, 180, -90));

            map.Refresh();
        }
    }
}
